Bug 385041 - Review Request: swfdec - Flash animation rendering library
Review Request: swfdec - Flash animation rendering library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 385061
  Show dependency treegraph
 
Reported: 2007-11-15 12:29 EST by Brian Pepple
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 20:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2007-11-15 12:29:07 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/swfdec.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/swfdec-0.5.4-1.fc8.src.rpm
Description: swfdec is a library for rendering Adobe Flash animations. Currently it handles most Flash 3, 4 and many Flash 7 videos.

This is currently in Livna, but since the gstreamer backend is the default now, it can come into Fedora.

Here's a link to a F8 scratch build I did for it: http://koji.fedoraproject.org/koji/taskinfo?taskID=243271
Comment 1 Patrice Dumas 2007-11-15 15:49:42 EST
Rpmlint says (ignorable):

swfdec.src: W: mixed-use-of-spaces-and-tabs (spaces: line 106, tab: line 1)
swfdec-gtk.i386: W: no-documentation
swfdec-gtk-devel.i386: W: no-documentation

swfdec-devel requires cairo-devel (and maybe more, as seen in 
swfdec-0.5.pc).

It would be nice to keep the timestamsp of installed files, it
should be achieved with
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'

Maybe MAINTAINERS should be in %doc 

also 
%check

make check 

could be nice?

Though I get some failures:
FAILURES: 4
          ./system-capabilities-query-5.swf
          ./system-capabilities-query-6.swf
          ./system-capabilities-query-7.swf
          ./system-capabilities-query-8.swf
FAIL: trace
===================
1 of 1 tests failed
===================
Comment 2 Patrice Dumas 2007-11-15 16:13:08 EST
Same remark about source file timestamp not kept:
-rw-rw-r-- 1 dumas dumas 6857084 nov 15 16:23 ../SOURCES/swfdec-0.5.4.tar.gz
-rw-rw-r-- 1 dumas dumas 6857084 nov 15 11:05 swfdec-0.5.4.tar.gz
Comment 3 Brian Pepple 2007-11-16 16:39:53 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/swfdec.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/swfdec-0.5.4-2.fc8.src.rpm

* Fri Nov 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-2
- Add requires for pango-devel to devel pkg.
- Keep timestamp on installed files.


I'm going to leave the check disabled for now, since it's failing due to not
having access to the gstreamer-mp3 plugin, and a complaint about fontconfig:

2007-11-16 16:23:29,419 - util.py:218:DEBUG: No fonts found; this probably means
that the fontconfig
2007-11-16 16:23:29,419 - util.py:218:DEBUG: library is not correctly
configured. You may need to
2007-11-16 16:23:29,419 - util.py:218:DEBUG: edit the fonts.conf configuration
file. More information
2007-11-16 16:23:29,419 - util.py:218:DEBUG: about fontconfig can be found in
the fontconfig(3) manual
2007-11-16 16:23:29,420 - util.py:218:DEBUG: page and on http://fontconfig.org
Comment 4 Patrice Dumas 2007-11-16 17:33:55 EST
What about 

Maybe MAINTAINERS should be in %doc 

Same remark about source file timestamp not kept:
-rw-rw-r-- 1 dumas dumas 6857084 nov 15 16:23 ../SOURCES/swfdec-0.5.4.tar.gz
-rw-rw-r-- 1 dumas dumas 6857084 nov 15 11:05 swfdec-0.5.4.tar.gz
Comment 5 Brian Pepple 2007-11-17 10:20:54 EST
(In reply to comment #4)
> Maybe MAINTAINERS should be in %doc 

Not going to bother packaging this, since it's fairly redundant with the AUTHORS
file already being included.
 
> Same remark about source file timestamp not kept:
> -rw-rw-r-- 1 dumas dumas 6857084 nov 15 16:23 ../SOURCES/swfdec-0.5.4.tar.gz
> -rw-rw-r-- 1 dumas dumas 6857084 nov 15 11:05 swfdec-0.5.4.tar.gz

Already been fixed.
Comment 6 Patrice Dumas 2007-11-17 10:41:57 EST
I still have a different timestamp for the file I get with spectool -g
and the one in srpm. Not a blocker, though and the timestamps are
very similar.

* follow guidelines
* free software, license included
* rpmlint can be ignored:
swfdec.src: W: mixed-use-of-spaces-and-tabs (spaces: line 117, tab: line 1)
swfdec-gtk.i386: W: no-documentation
swfdec-gtk-devel.i386: W: no-documentation
* match upstream
506b032204b71ffac7d0424eaf9608c4  swfdec-0.5.4.tar.gz
* libs correctly packaged
* %files section right

I guess that you know what you do when you put the icons in the
gtk subpackage.

I haven't verified precisely the buildrequires but they look
fine.

APPROVED
Comment 7 Brian Pepple 2007-11-17 10:56:55 EST
New Package CVS Request
=======================
Package Name: swfdec
Short Description: Flash animation rendering library
Owners: bpepple
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-11-17 20:23:04 EST
cvs done.
Comment 9 Brian Pepple 2007-11-17 20:51:59 EST
built for devel.  Patrice, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.